SRCDIR = ..
include $(SRCDIR)/Make.Rules

CFLAGS+=-I. -I$(SRCDIR)/pbm -I$(SRCDIR)/pgm -I$(SRCDIR)/ppm

HDRS = pnm.h

ARLIB = libpnm.a

OBJS = libpnm1.o libpnm2.o libpnm3.o libpnm4.o

MAJOR = 1
MINOR = 0
PATCH = 0

SHBASE=pnm

MAN1S = fitstopnm.1 giftopnm.1 \
		 pnmalias.1 pnmarith.1 pnmcat.1 pnmcomp.1 pnmconvol.1 \
		 pnmcrop.1 pnmcut.1 pnmdepth.1 pnmenlarge.1 pnmfile.1 \
		 pnmflip.1 pnmhisteq.1 pnmhistmap.1 pnminvert.1 \
		 pnmnlfilt.1 pnmnoraw.1 pnmpad.1 pnmpaste.1 pnmscale.1 \
		 pnmsmooth.1 pnmtile.1 pnmtoddif.1 pnmtofits.1 pnmtops.1 \
		 pnmtorast.1 pnmtosgi.1 pnmtosir.1 pnmtoxwd.1 rasttopnm.1 \
		 sgitopnm.1 sirtopnm.1 xwdtopnm.1 zeisstopnm.1 pnmgamma.1 \
		 pnmrotate.1 pnmshear.1 anytopnm.1 pnmindex.1 pnmmargin.1 \

MAN3S = libpnm.3

MAN5S = pnm.5

APPS= fitstopnm giftopnm \
		 pnmalias pnmarith pnmcat pnmcomp pnmconvol \
                 pnmcrop pnmcut pnmdepth pnmenlarge pnmfile \
                 pnmflip pnmgamma pnmhisteq pnmhistmap pnminvert \
		 pnmnlfilt pnmnoraw pnmpad pnmpaste pnmrotate \
		 pnmscale pnmshear pnmsmooth pnmtile pnmtoddif \
		 pnmtofits pnmtops pnmtorast pnmtosgi pnmtosir \
		 pnmtoxwd rasttopnm sgitopnm sirtopnm xwdtopnm \
		 zeisstopnm

LOADLIBES=-L. -lpnm -L../ppm -lppm -L../pgm -lpgm -L../pbm -lpbm -lm

include $(SRCDIR)/Make.Targets
